connect /

drop table t;
set echo on

clear screen
create table t 
as
select * from stage;
create index t_idx on t(object_name);
exec dbms_stats.gather_table_stats( user, 'T' );
pause

clear screen
set autotrace traceonly statistics;
set arraysize 100
exec dbms_monitor.session_trace_enable;
select /*+ FIRST_ROWS INDEX(t t_idx) */ * from t where object_name >= '/' order by object_name;
pause
@tk "sys=no"

clear screen
alter index t_idx rebuild tablespace ts_16k;
pause


clear screen
set autotrace traceonly statistics;
set arraysize 100
exec dbms_monitor.session_trace_enable;
select /*+ FIRST_ROWS INDEX(t t_idx) */ * from t where object_name >= '/' order by object_name;
pause
@tk "sys=no"

