clear screen
connect /
set echo on
drop table t;

clear screen
create table t 
ENABLE ROW MOVEMENT
tablespace assm
as
select * 
  from stage
 order by object_id;
alter table t add constraint t_pk primary key(object_id);
exec dbms_stats.gather_table_stats( user, 'T' );
select t.blocks, t.num_rows, i.clustering_factor
  from user_tables t, user_indexes i
 where t.table_name = 'T' 
   and i.table_name = 'T';
pause
set termout off
clear screen
select count(*) from t where object_type is not null;
set termout on
set autotrace on statistics
select count(*) from t where object_type is not null;
set autotrace off
pause

clear screen
break on report
compute sum of sumblks on report
select blocks, count(*) cnt, sum(blocks) sumblks
  from user_extents 
 where segment_name = 'T' 
 group by blocks
 order by 1;
pause

clear screen
delete from t where mod(object_id,2) = 0;
commit;
pause
clear screen
compute sum of sumblks on report
select blocks, count(*) cnt, sum(blocks) sumblks
  from user_extents 
 where segment_name = 'T' 
 group by blocks
 order by 1;
pause

clear screen
select object_id, object_name from t where rownum <= 15;
alter table t shrink space compact;
pause

clear screen
select object_id, object_name from t where rownum <= 15;
pause

clear screen
exec dbms_stats.gather_table_stats( user, 'T', cascade=>true );
select t.blocks, t.num_rows, i.clustering_factor
  from user_tables t, user_indexes i
 where t.table_name = 'T' 
   and i.table_name = 'T';
pause


clear screen
compute sum of sumblks on report
select blocks, count(*) cnt, sum(blocks) sumblks
  from user_extents 
 where segment_name = 'T' 
 group by blocks
 order by 1;
pause

clear screen
alter table t shrink space;
pause

clear screen
compute sum of sumblks on report
select blocks, count(*) cnt, sum(blocks) sumblks
  from user_extents 
 where segment_name = 'T' 
 group by blocks
 order by 1;
pause
set termout off
clear screen
select count(*) from t where object_type is not null;
set termout on
set autotrace on statistics
select count(*) from t where object_type is not null;
set autotrace off
pause

clear screen
